export interface CookieOptions {
    secure?: boolean;
    crossSite?: boolean;
    partitioned?: boolean;
    domain?: string;
}
export declare function setCookie(name: string, value: string, expireDelay?: number, options?: CookieOptions): void;
export declare function getCookie(name: string): string | undefined;
/**
 * Returns a cached value of the cookie. Use this during SDK initialization (and whenever possible)
 * to avoid accessing document.cookie multiple times.
 */
export declare function getInitCookie(name: string): string | undefined;
export declare function resetInitCookies(): void;
export declare function deleteCookie(name: string, options?: CookieOptions): void;
export declare function areCookiesAuthorized(options: CookieOptions): boolean;
export declare function getCurrentSite(): string;
