/**
 * LIMITATION:
 * For NPM setup, this feature flag singleton is shared between RUM and Logs product.
 * This means that an experimental flag set on the RUM product will be set on the Logs product.
 * So keep in mind that in certain configurations, your experimental feature flag may affect other products.
 *
 * FORMAT:
 * All feature flags should be snake_cased
 */
export declare enum ExperimentalFeature {
    TRACK_INTAKE_REQUESTS = "track_intake_requests",
    WRITABLE_RESOURCE_GRAPHQL = "writable_resource_graphql"
}
export declare function initFeatureFlags(enableExperimentalFeatures: string[] | undefined): void;
export declare function addExperimentalFeatures(enabledFeatures: ExperimentalFeature[]): void;
export declare function isExperimentalFeatureEnabled(featureName: ExperimentalFeature): boolean;
export declare function resetExperimentalFeatures(): void;
export declare function getExperimentalFeatures(): Set<ExperimentalFeature>;
