type Options = {
    bytesLimit: number;
    collectStreamBody?: boolean;
};
/**
 * Read bytes from a ReadableStream until at least `limit` bytes have been read (or until the end of
 * the stream). The callback is invoked with the at most `limit` bytes, and indicates that the limit
 * has been exceeded if more bytes were available.
 */
export declare function readBytesFromStream(stream: ReadableStream<Uint8Array>, callback: (error?: Error, bytes?: Uint8Array, limitExceeded?: boolean) => void, options: Options): void;
export {};
