import type { Payload } from '../../transport';
import type { InitConfiguration } from './configuration';
export type TrackType = 'logs' | 'rum' | 'replay' | 'profile';
export type ApiType = 'fetch-keepalive' | 'fetch' | 'beacon' | 'manual';
export type EndpointBuilder = ReturnType<typeof createEndpointBuilder>;
export declare function createEndpointBuilder(initConfiguration: InitConfiguration, trackType: TrackType, configurationTags: string[]): {
    build(api: ApiType, payload: Payload): string;
    tags: string[];
    urlPrefix: string;
    trackType: TrackType;
};
export declare function buildEndpointHost(trackType: TrackType, initConfiguration: InitConfiguration & {
    usePciIntake?: boolean;
}): string;
