import type { Site } from '../intakeSites';
import type { InitConfiguration } from './configuration';
import type { EndpointBuilder } from './endpointBuilder';
export interface TransportConfiguration {
    logsEndpointBuilder: EndpointBuilder;
    rumEndpointBuilder: EndpointBuilder;
    sessionReplayEndpointBuilder: EndpointBuilder;
    profilingEndpointBuilder: EndpointBuilder;
    replica?: ReplicaConfiguration;
    site: Site;
}
export interface ReplicaConfiguration {
    applicationId?: string;
    logsEndpointBuilder: EndpointBuilder;
    rumEndpointBuilder: EndpointBuilder;
}
export declare function computeTransportConfiguration(initConfiguration: InitConfiguration): TransportConfiguration;
export declare function isIntakeUrl(url: string): boolean;
